#include <fstream>
#include <cmath>
#include <iomanip>
using namespace std;
int snt(int m) 
{ 
if (m<2)
return 0;
if (m==2)
return 1;
else
for (int i=2;i<m;i++)
{if (m%i==0)
return 0;
else
return 1;
}}
int main()
{
      ifstream f("demnt.inp");
      ofstream g("demnt.out");
      long long n,a[999999],dem=0;
      f>>n;
      for (int i=1;i<=n;i++)
      {f>>a[i];}
      for (int i=1;i<=n;i++)
      {if (snt(a[i])==1)
      dem++;}
      g<<dem;
      f.close();
      g.close();
}
 

